#!/usr/bin/env python
#
# Copyright 2019 the original author or authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
#
"""Gamepad button and axis mappings, currently specific to PS4 gamepads"""

BTN_X = 0  # PS4 gamepad is 3, PS3 gamepad is 2
BTN_Y = 3
BTN_A = 1  # PS4 gamepad is 1, PS3 gamepad is 3
BTN_B = 2

BTN_LEFT_BUMPER = 4
BTN_RIGHT_BUMPER = 5

BTN_LEFT_TRIGGER = 6
BTN_RIGHT_TRIGGER = 7

BTN_SELECT = 8
BTN_START = 9

BTN_LEFT_THUMB = 10
BTN_RIGHT_THUMB = 11

BTN_HOME = 12  # Not present on PS3
BTN_TOUCHPAD = 13  # Not present on PS3

AXIS_LEFT_THUMB_X = 0
AXIS_LEFT_THUMB_Y = 1

AXIS_RIGHT_THUMB_X = 2
AXIS_RIGHT_THUMB_Y = 3

AXIS_LEFT_TRIGGER = 4  # Not present on PS3
AXIS_RIGHT_TRIGGER = 5




